ICONV_CLOSE(3)

NAME
iconv_close - deallocate descriptor for character set conversion

SYNOPSIS
#include <iconv.h>

int iconv_close(iconv_t cd);

DESCRIPTION
The iconv_close() function deallocates a conversion descriptor cd previously allocated using iconv_open(3).

RETURN VALUE
When successful, the iconv_close() function returns 0. In case of error, it sets errno and returns -1.

VERSIONS
This function is available in glibc since version 2.1.

CONFORMING TO
UNIX98, POSIX.1-2001.

SEE ALSO
iconv(3), iconv_open(3)

COLOPHON
This page is part of release 3.24 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.